Chromium Code Reviews
Help | Chromium Project | Gerrit Changes | Sign in
(1)

Issue 1408843002: Fixed tough texture upload benchmark on low end devices. (Closed)

Can't Edit
Can't Publish+Mail
Start Review
Created:
1 year, 9 months ago by David Yen
Modified:
1 year, 9 months ago
Reviewers:
no sievers
CC:
chromium-reviews, piman+watch_chromium.org, telemetry-reviews_chromium.org
Base URL:
https://chromium.googlesource.com/chromium/src.git@master
Target Ref:
refs/pending/heads/master
Project:
chromium
Visibility:
Public.

Description

Fixed tough texture upload benchmark on low end devices. Fast extra shared memory texture upload path is now disabled for low end devices, they don't have enough memory to allocate this. R=sievers@chromium.org BUG=543067, 462078 Committed: https://crrev.com/13ac193d767c089c720497398a1dec39c07e2929 Cr-Commit-Position: refs/heads/master@{#354797}

Patch Set 1 #

Patch Set 2 : Moved javascript changes to another CL #

Patch Set 3 : Use AmountOfPhysicalMemory directly #

Total comments: 2

Patch Set 4 : disable for nacl #

Patch Set 5 : Use static const number instead #

Patch Set 6 : Fixed comment spacing #

Total comments: 2

Patch Set 7 : max extra transfer buffer variable is now a const member #

Total comments: 6

Patch Set 8 : Improved comments, use saturated cast #

Messages

Total messages: 16 (4 generated)
David Yen
1 year, 9 months ago (2015-10-15 21:10:25 UTC) #1
David Yen
+nednguyen@ for telemetry page change
1 year, 9 months ago (2015-10-15 21:11:03 UTC) #3
David Yen
I moved the javascript changes to another CL instead since nednguyen@ is OOO, that is ...
1 year, 9 months ago (2015-10-15 21:16:00 UTC) #5
no sievers
https://codereview.chromium.org/1408843002/diff/40001/gpu/command_buffer/client/gles2_implementation.cc File gpu/command_buffer/client/gles2_implementation.cc (right): https://codereview.chromium.org/1408843002/diff/40001/gpu/command_buffer/client/gles2_implementation.cc#newcode2443 gpu/command_buffer/client/gles2_implementation.cc:2443: const uint32_t max_extra_transfer_buffer_size = can you make it a ...
1 year, 9 months ago (2015-10-15 22:33:30 UTC) #6
David Yen
https://codereview.chromium.org/1408843002/diff/40001/gpu/command_buffer/client/gles2_implementation.cc File gpu/command_buffer/client/gles2_implementation.cc (right): https://codereview.chromium.org/1408843002/diff/40001/gpu/command_buffer/client/gles2_implementation.cc#newcode2443 gpu/command_buffer/client/gles2_implementation.cc:2443: const uint32_t max_extra_transfer_buffer_size = On 2015/10/15 22:33:30, sievers wrote: ...
1 year, 9 months ago (2015-10-15 23:01:55 UTC) #7
no sievers
https://codereview.chromium.org/1408843002/diff/100001/gpu/command_buffer/client/gles2_implementation.cc File gpu/command_buffer/client/gles2_implementation.cc (right): https://codereview.chromium.org/1408843002/diff/100001/gpu/command_buffer/client/gles2_implementation.cc#newcode2222 gpu/command_buffer/client/gles2_implementation.cc:2222: const int64_t kPhysicalMemory = base::SysInfo::AmountOfPhysicalMemory(); This might not be ...
1 year, 9 months ago (2015-10-15 23:24:45 UTC) #8
David Yen
Hopefully making it a non-static const will avoid the "< 0 is always false" warning... ...
1 year, 9 months ago (2015-10-19 15:25:53 UTC) #9
no sievers
lgtm, but should we also set the reclaim limit (at the very least on <=1GB ...
1 year, 9 months ago (2015-10-19 15:55:05 UTC) #10
David Yen
https://codereview.chromium.org/1408843002/diff/120001/gpu/command_buffer/client/gles2_implementation.cc File gpu/command_buffer/client/gles2_implementation.cc (right): https://codereview.chromium.org/1408843002/diff/120001/gpu/command_buffer/client/gles2_implementation.cc#newcode120 gpu/command_buffer/client/gles2_implementation.cc:120: // use any extra for memory contrained devices (<1GB). ...
1 year, 9 months ago (2015-10-19 16:02:18 UTC) #11
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/patch-status/1408843002/140001 View timeline at https://chromium-cq-status.appspot.com/patch-timeline/1408843002/140001
1 year, 9 months ago (2015-10-19 16:35:58 UTC) #14
commit-bot: I haz the power
Committed patchset #8 (id:140001)
1 year, 9 months ago (2015-10-19 17:23:54 UTC) #15
commit-bot: I haz the power
1 year, 9 months ago (2015-10-19 17:24:40 UTC) #16
Message was sent while issue was closed.
Patchset 8 (id:??) landed as
https://crrev.com/13ac193d767c089c720497398a1dec39c07e2929
Cr-Commit-Position: refs/heads/master@{#354797}
Sign in to reply to this message.

Powered by Google App Engine
RSS Feeds Recent Issues | This issue
This is Rietveld 25c286973